/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.base;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.ManyToOne;
import javax.persistence.MappedSuperclass;
import javax.persistence.Version;
import javax.xml.bind.annotation.XmlElement;

import org.hibernate.annotations.GenericGenerator;

@MappedSuperclass
public class Id {

	private String id;

	@XmlElement(name = "id")
	@GeneratedValue(generator = "system-uuid")
	@GenericGenerator(name = "system-uuid", strategy = "uuid")
	@Column(name = "UUID")
	@javax.persistence.Id
	public String getId() {
		return this.id;
	}

	public void setId(String value) {
		this.id = value;
	}
	
	private Long version;
	
	@Version
	public Long getVersion() {
		return version;
	}

	public void setVersion(Long version) {
		this.version = version;
	}	

	private Date createdOn;

	public void setCreatedOn(Date value) {
		this.createdOn = value;
	}

	public Date getCreatedOn() {
		return this.createdOn;
	}

	private Date updatedOn;

	public void setUpdatedOn(Date value) {
		this.updatedOn = value;
	}

	public Date getUpdatedOn() {
		return this.updatedOn;
	}

	private Person createdBy;

	@ManyToOne
	public Person getCreatedBy() {
		return this.createdBy;
	}

	public void setCreatedBy(Person createdBy) {
		this.createdBy = createdBy;
	}

	private Person updatedBy;

	@ManyToOne
	public Person getUpdatedBy() {
		return this.updatedBy;
	}

	public void setUpdatedBy(Person updatedBy) {
		this.updatedBy = updatedBy;
	}


}
