/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.base;

import java.util.Set;

import javax.persistence.Entity;
import javax.persistence.ManyToMany;


import ws.ladder.annotation.Invariant;
import ws.ladder.db.pm.Project;
import ws.ladder.exception.ApplicationException;

@Entity
public class Manager extends Person {

	private Set<Project> projects;

	@ManyToMany
	public Set<Project> getProjects() {
		return this.projects;
	}

	public void setProjects(Set<Project> projects) {
		this.projects = projects;
	}
	
	@Invariant
	public void test() throws ApplicationException {
		// Convert it to an exception for JUnit test
		throw new ApplicationException("Invariant executed");
	}		
}
