/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.option;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;


import ws.ladder.db.base.Identity;
import ws.ladder.db.common.Property;

@Entity
public class Option extends Identity {

	private Set<Property> property = new HashSet<Property>();

	private boolean consumerReadOnly;

	private boolean consumerVisible;

	private boolean isSelected;

	private OptionSet optionSet;

	private int orderIndex;

	@OneToMany(mappedBy = "option", cascade = CascadeType.ALL, orphanRemoval = true)
	public Set<Property> getProperty() {
		return property;
	}

	public boolean isConsumerReadOnly() {
		return this.consumerReadOnly;
	}

	public boolean isConsumerVisible() {
		return consumerVisible;
	}

	public boolean getIsSelected() {
		return this.isSelected;
	}

	@ManyToOne
	public OptionSet getOptionSet() {
		return this.optionSet;
	}

	public int getOrderIndex() {
		return this.orderIndex;
	}

	public void setProperty(Set<Property> property) {
		this.property = property;
	}

	public void setConsumerReadOnly(boolean value) {
		this.consumerReadOnly = value;
	}

	public void setConsumerVisible(boolean consumerVisible) {
		this.consumerVisible = consumerVisible;
	}

	public void setIsSelected(boolean value) {
		this.isSelected = value;
	}

	public void setOptionSet(OptionSet value) {
		this.optionSet = value;
	}

	public void setOrderIndex(int value) {
		this.orderIndex = value;
	}

}