/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */ 

package ws.ladder.db.option;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;

import ws.ladder.db.base.Artifact;
import ws.ladder.db.base.Identity;


@Entity
public class OptionModel extends Identity{
	
	private Set<OptionSet> optionSets;

	@OneToMany(mappedBy = "optionModel", cascade = { CascadeType.ALL }, orphanRemoval = true)
	public Set<OptionSet> getOptionSets() {
		if (this.optionSets == null) {
			this.optionSets = new HashSet<OptionSet>();
		}
		return this.optionSets;
	}

	public void setOptionSets(Set<OptionSet> value) {
		this.optionSets = value;
	}
	
	private Artifact artifact;
	
	@OneToOne
	public Artifact getArtifact(){
		return this.artifact;
	}
	
	public void setArtifact(Artifact artifact){
		this.artifact = artifact;
	}

}
