/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.db.service;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import ws.ladder.db.dao.TaskDao;
import ws.ladder.db.pm.Task;

@Service("taskService")
public class TaskServiceImpl implements TaskService {
	private static final Logger logger = LogManager.getLogger(new Exception()
	.getStackTrace()[0].getClassName());

	@Autowired private TaskDao taskDao;	

	@Override
	@Transactional
	public Task createTask(Task task) {
		logger.debug("Entering method createTask(Task task).");

		task = taskDao.saveOrUpdate(task); 

		return task;
	}

	@Override
	@Transactional
	public Task getTask(String taskId) {
		logger.debug("Entering method getTask(String taskId).");
		Task task = taskDao.findById(taskId);

		return task;	
	}
}
