/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.model;


public abstract class AbstractTypeMapper implements TypeMapper {
	private MapperDirection direction;

	@Override
	public MapperDirection getDirection() {
		return direction;
	}
	
	@Override
	public void setDirection(MapperDirection direction) {
		this.direction = direction;
	}	
	
	@Override
	public EntityKey getEntityKey(Object identifier, Type type) {
		String referenceTypeName = type.getName();
		String derivedTypeName = type.getName();
		if(DerivedType.class.isAssignableFrom(type.getClass()))
			referenceTypeName = toReference(type.getInstanceClass()).getName();
		else
			derivedTypeName = toDerived(type.getInstanceClass()).getName();
		
		return new EntityKey(identifier, referenceTypeName, derivedTypeName);
	}
}
