/**
 * Ladder, empowering Model Driven Architecture in J2EE applications
 *
 * Copyright (c) 2012, Dilip Dalton or third-party contributors as
 * indicated by the @author tags.
 *
 * This copyrighted material is made available to anyone wishing to use, modify,
 * copy, or redistribute it subject to the terms and conditions of the GNU
 * Lesser General Public License, as published by the Free Software Foundation.
 *
 * Ladder is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this distribution. If not, see <http://www.gnu.org/licenses/>.
 */

package ws.ladder.service;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import ws.ladder.model.ContentDetail;
import ws.ladder.model.ContentScope;
import ws.ladder.model.Type;
import ws.ladder.model.view.ContentViews;
import ws.ladder.model.view.ViewBranch;

@Component
public class MetaModel {

	@Autowired
	protected SpringDASFactory springDASFactory;	

	protected DataAccessService getDAS() {
		DataAccessService das = springDASFactory.create(); // TODO: For now we create this object for every call, this can later be optimized

		return das;
	}

	public List<String> getAggregateList() {
		return getDAS().getAggregateList();
	}

	public List<String> getViewList() {
		return ContentViews.getViewNames();
	}
	
	public List<String> getFilterFunctionList() {
		// TODO
		return null;
	}

	/**
	 * Also provided details on framework annotations configured such as Userkey, CollectionUserkey etc...
	 * Custom setters, getters, collection add/remove, invariants
	 * @param aggregateName
	 * @return
	 */
	public Type getType(String aggregateName) {
		//TODO
		return null;
	}

	public ViewBranch getView(String viewName) {
		// TODO
		return null;
	}

	/**
	 * Same as getAttributePaths with ContentScope.SUBTREE and ContentDetail.FULL
	 * @param aggregateName
	 * @return
	 */
	public Object getAttributePaths(String aggregateName) {
		// TODO
		return null;
	}
	
	public Object getAttributePaths(String aggregateName, ContentScope scope, ContentDetail detail) {
		// TODO
		return null;
	}	
	
	/**
	 * List all the custom setter method names and their property name
	 */
	public Map<String, String> getCustomSetters(String aggregateName) {
		return null;
	}
	
	/**
	 * List all the custom getter method names
	 */
	public Map<String, String> getCustomGetters(String aggregateName) {
		return null;
	}	
	
	/**
	 * List all the custom getter method names
	 */
	public Map<String, String> getInvariants(String aggregateName) {
		return null;
	}	
	
	/**
	 * List all the custom getter method names
	 */
	public Map<String, String> getCollectionAdd(String aggregateName) {
		return null;
	}	
	
	/**
	 * List all the custom getter method names
	 */
	public Map<String, String> getCollectionRemove(String aggregateName) {
		return null;
	}		
}
